#include "LPC21xx.h"
#include "spi.h"

/*
  Initialize the SPI interface. Clock rate is set to < 400KHz for card
  initialization. Be sure to increase it later.
 */
void SPI_Init(void)
{
        IODIR0 |= CS;
        PINSEL0	|= 0x1500;

        S0SPCCR = 120;                   

        S0SPCR = 0x38;                  // master, msb first, first clk edge, active high, no ints
}

/*
  Transmit one byte over the SPI port. Since the SPI bus receives data
  simultainiously with transmission, return the received character.
 */


unsigned int TxRxbyte(unsigned int data)
{
  S0SPDR  = data;                   // send next SPI channel 0 data
  while (!(S0SPSR & 0x80))      // wait for transfer completed
    ;
  return S0SPDR & 0xff;

}

/*
  Transmit num bytes of data as quickly as possible.

*/
void TxSector(unsigned char * data, int num)
{
  do
    {
      S0SPDR  = *data++;                   // send next SPI channel 0 data
      while (!(S0SPSR & 0x80))      // wait for transfer completed
	;
    } while(--num);
}


